Download it now!
Bug 31743 - grouped drawing-objects are not protected against editing
Summary: grouped drawing-objects are not protected against editing
Status: RESOLVED INVALID
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
3.3.0 Beta3
Hardware: All Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-11-18 18:37 UTC by mhonline
Modified: 2011-12-22 05:36 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description mhonline 2010-11-18 18:37:41 UTC
summary says it:

if a group has text, that can be edited without using the procedure "enter group"

mh
Comment 1 Don't use this account, use tml@iki.fi 2010-11-19 03:09:18 UTC
Please, provide exact reproduction instructions. The summary might say it all to you, but it doesn't to me.
Comment 2 Rainer Bielefeld Retired 2011-10-09 10:08:55 UTC
Closing Bug due to reporter's inactivity as WFM.

@reporter:
Please feel free to reopen this bug if you find out that the problem still exists with the current stable LibreOffice version and if you can contribute requested additional information due to <http://wiki.documentfoundation.org/BugReport> (especially BugReport Details)!
Comment 3 mhonline 2011-10-10 18:51:57 UTC
hmm -
still the same in 3.4.3 - one box - one text - grouped - textes are editable 
by intention? wrong idea!

m
Comment 4 Rainer Bielefeld Retired 2011-10-10 22:04:22 UTC
@mhonline:
What question has been unintelligible - "exact reproduction instructions" or "requested additional information"? 

I am pretty sure that you simply have checked menu 'Tools -> Options -> Draw -> General -> Text objects -  Allow quick editing'. Please check!
Comment 5 mhonline 2011-10-19 14:25:20 UTC
@ Rainer
disable checkbox "quick edit": that should disable editing? 
it does not.
any double-click makes the whole group editable.

m.




P.S.
and discussions about kindness in wordings we put in private mail, right?
Comment 6 Rainer Bielefeld Retired 2011-10-20 08:49:52 UTC
I think I can reproduce your observations, but I still can't see a bug.

@mhonline:
I can I do not understand your problem and Comment 5. Of course unchecking "quick edit" will NOT disable EDITING (for what ever ...), it only changes the behavior concerning reaching edit mode for text boxes (also in grouped objects). 

My standard request:
Please read hints linked in Comment 2

Then please:
- Write a meaningful Summary
- Attach a sample document (not only screenshot)
- Attach screenshots with comments if you believe that that might explain the 
  problem better than a text comment. Best way is to insert your screenshots
  into a DRAW document and to add comments that explain what you want to show
- Contribute a step by step instruction containing every key press and every 
  mouse click how to reproduce your problem 
- add information 
  -- what EXACTLY is unexpected
  -- and WHY do you believe it's unexpected (cite Help or Documentation!)
  -- and what real world problem does the observed behavior cause? Grouping 
     objects is not at all a protection against editing. It is necessary
     that you report a problem, not only observations.
Comment 7 Rainer Bielefeld Retired 2011-10-26 02:33:47 UTC
No new information, so NOTABUG
Comment 8 mhonline 2011-10-27 19:38:57 UTC
what is to misunderstand in that: 

DRAW: doubleclick on a group makes ANY element of the group editable/movable ("go into group" as default) - the properties of text-of-objects are different to those of grafical text, which ALWAYS results in unforeseeable results, when they are joined in a group

TEXT: doubleclick on a group makes the text editable of the object(the group itself remains intakt) - but either text-of-object or grafical text is scaling - but as above not both together or with unforeseeable results
 
disable quickedit-option from OPTIONS in DRAW does not function, and it is not an option in TEXT. 

btw: upscaling of text(font-size) with frame does not function in no modul.

inconsistence in different modules, an it had been better in the past, so
feature is broken
regression
reopend

(LO 343 on WIN2K)


m.
Comment 9 Rainer Bielefeld Retired 2011-10-27 23:53:07 UTC
I don't understand reporter's comment 8 at all, am tired with that close-reopen game, see this as INVALID with wrong status field. 

@Reporter:
It would help if you contribute requested information, not information you believe that it  might be useful.
Comment 10 mhonline 2011-10-31 19:26:23 UTC
no clue? well, I cann't help it, and don't want to anymore, too much effort for too few result, so forget about it

m.
Comment 11 Rainer Bielefeld Retired 2011-12-18 07:36:26 UTC
@reporter:
Please feel free to reopen this bug if you find out that the problem still exists with LibreOffice version 3.5 and if you can contribute requested additional information due to <http://wiki.documentfoundation.org/BugReport>!
Comment 12 Björn Michaelsen 2011-12-22 05:36:42 UTC
Remove infoprovider from closed and resolved bugs.